<div class="dashboard-page flex flex-col flex-auto min-w-0">
    <fuse-alert
        [appearance]="'fill'"
        [dismissible]="true"
        [dismissed]="false"
        [name]="'successerror'"
        [type]="'success'">
        {{Message}} Successfully
    </fuse-alert>

    <div class="flex justify-between">
        <div class="text-2xl font-cairo font-bold tracking-tight leading-8 mb-8">Terms & Conditions</div>
        <button class="sm:inline-flex ml-auto" mat-stroked-button [color]="'primary'" (click)="openDialog()">
            <span class="mx-8">Add Terms & Condition</span>
        </button>
    </div>
    <div class="relative">
        <!--table component-->

        <!--base table component-->
        <div class="overflow-auto bg-gray-50 rounded-lg">
            <table mat-table [dataSource]="termsConditionSearchModel.termsConditionModels" matSort (matSortChange)="sortData($event)" class="expanded-rows-table font-helvetica text-gray-500">

                <!-- ID Column -->
                <ng-container matColumnDef="id">
                    <th mat-header-cell *matHeaderCellDef style="max-width: 60px; min-width: 50px; width: 50px"></th>
                    <td mat-cell *matCellDef="let row">
                        <button mat-icon-button [matMenuTriggerFor]="options" aria-label="Choose columns">
                            <mat-icon color="primary" class="icon-size-5" svgIcon="heroicons_outline:dots-vertical"></mat-icon>
                        </button>
                        <mat-menu #options="matMenu" class="min-width-235 z-1">
                            <button mat-menu-item type="button" (click)="EditTerms(row)">
                                <mat-icon color="primary" class="icon-size-5" svgIcon="heroicons_outline:pencil"></mat-icon>
                                Edit
                            </button>
                            <button mat-menu-item type="button" (click)="DeleteTerms(row)">
                                <mat-icon color="primary" class="icon-size-5" svgIcon="heroicons_outline:pencil"></mat-icon>
                                Delete
                            </button>
                        </mat-menu>
                    </td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="name">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 190px; min-width: 170px">
                        Name
                    </th>
                    <td mat-cell *matCellDef="let row">
                        {{row.termsConditions}}
                    </td>
                </ng-container>

                <!-- inputType -->
                <ng-container matColumnDef="inputType">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 120px; min-width: 110px">
                        Input Type
                    </th>
                    <td mat-cell *matCellDef="let row"> {{row.inputType}} </td>
                </ng-container>

                <!-- Editable Column -->
                <ng-container matColumnDef="editable">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="min-width: 140px">
                        Editable
                    </th>
                    <td mat-cell *matCellDef="let row"> {{row.isEditable == true ? "Yes" : "No"}} </td>
                </ng-container>

                <!-- beforeQuote Column -->
                <ng-container matColumnDef="beforeQuote">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 160px; min-width: 150px; background: #9cd1fc">
                        Before Quote
                    </th>
                    <td mat-cell *matCellDef="let row">
                        {{row.beforeQuoteStatus}}
                    </td>
                </ng-container>

                <!-- submitQuote Column -->
                <ng-container matColumnDef="submitQuote">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 160px; min-width: 150px; background: #9cd1fc">
                        Submit Quote
                    </th>
                    <td mat-cell *matCellDef="let row">
                        {{row.submitQuoteStatus}}
                    </td>
                </ng-container>

                <!-- RFQ Column -->
                <ng-container matColumnDef="rfq">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 80px; min-width: 60px; background: #CCD7EA;">
                        RFQ
                    </th>
                    <td mat-cell *matCellDef="let row">
                        <mat-checkbox class="mb-4 mr-5" [color]="'primary'" [(ngModel)]="row.isRFQ"></mat-checkbox>
                    </td>
                </ng-container>

                <!-- RFI Column -->
                <ng-container matColumnDef="rfi">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 80px; min-width: 60px; background: #CCD7EA;">
                        RFI
                    </th>
                    <td mat-cell *matCellDef="let row">
                        <mat-checkbox class="mb-4 mr-5" [color]="'primary'"[(ngModel)]="row.isRFI"></mat-checkbox>
                    </td>
                </ng-container>

                <!-- RFAQ Column -->
                <ng-container matColumnDef="rfaq">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 80px; min-width: 60px; background: #CCD7EA;">
                        RFAQ
                    </th>
                    <td mat-cell *matCellDef="let row">
                        <mat-checkbox class="mb-4 mr-5" [color]="'primary'" [(ngModel)]="row.isRFAQ"></mat-checkbox>
                    </td>
                </ng-container>

                <!-- PO Column -->
                <ng-container matColumnDef="po">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 80px; min-width: 60px; background: #CCD7EA;">
                        PO
                    </th>
                    <td mat-cell *matCellDef="let row">
                        <mat-checkbox class="mb-4 mr-5" [color]="'primary'" [(ngModel)]="row.isPO"></mat-checkbox>
                    </td>
                </ng-container>


                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

                <!-- Row shown when there is no matching data. -->
                <tr class="mat-row" *matNoDataRow>
                    <td class="mat-cell" colspan="4">No data matching the filter</td>
                </tr>
            </table>
        </div>
        <div class="flex justify-end">
            <mat-paginator [length]="termsConditionSearchModel.totalItems" [pageSize]="termsConditionSearchModel.pageSize" 
            [pageSizeOptions]="[5,10,15,20,25,100]" (page)="pageEvent=$event;OnPaginateChange($event)" showFirstLastButtons></mat-paginator>
        </div>
        <!--table component end-->
    </div>
    <div class="flex justify-end ml-auto p-6">
        <button class="sm:inline-flex mr-4" mat-button [color]="'primary'">
            <span class="mx-8">Cancel</span>
        </button>
        <button class="sm:inline-flex" mat-raised-button [color]="'primary'">
            <span class="mx-8">Save Changes</span>
        </button>
    </div>
</div>
